Subject: Re: bug#28254: 26.0.50; SRFI-2 and-let*

From: Michael Heerdegen <[email-masked]>
Date: Tue, 12 Sep 2017 14:13:26 +0200

Mark Oteiza <[email-masked]> writes:

> This is a patch implementing the above: if-let and when-let only take
> single tuple, while {if,when,and}-let* lose the single tuple special
> case.

I wonder if we should mark if-let and when-let obsolete instead.
Because it is only a special case of the if-let* and when-let* forms
(with only one binding), so it is absolutely redundant.  Also, I find
the new syntax breaking with the binding-list syntax of let confusing.
Finally, it would ease the transition for programmers: the modified
if-let and when-let break existing code, and it's not obviously for
programmers what's suddenly wrong.

Michael.